public import includes;
import std.stdio;
import aliases;
import core.memory;
import p = platform;
import r = renderer;

void main()
{
	p.Window window = p.CreateWindow("Video Game", 1920, 1080);

	r.Renderer rd = r.Init(&window);
	scope(exit) r.Destroy(&rd);

	while (true)
	{
		p.HandleEvents(&window);
		if (window.close) break;

		r.Cycle(&rd);
	}
}

